Subject: Re: [Sipbrandy] AD Evaluation of draft-ietf-sipbrandy-osrtp-07

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 22 Mar 2019 08:03:58 +0000

Andy, authors,

what is the status of this?

Cheers,

Gonzalo

On 21-Feb-19 23:06, Ben Campbell wrote:
> Hi,
> 
> To be clear, progress of this draft is currently blocked on a response to my “Please resolve…” comment below. Please respond as soon as possible,
> 
> Thanks!
> 
> Ben.
> 
>> On Feb 14, 2019, at 2:46 PM, Ben Campbell <[email-masked]> wrote:
>>
>> Signed PGP part
>> Hi,
>>
>> This is my AD Evaluation of draft-ietf-sipbrandy-osrtp-07.
>>
>> Thank you for a readable and easy to understand document.There is one comment I would like to resolve prior to IETF LC. The others can be resolved along with any last call feedback.
>>
>> *** Please resolve prior to IETF LC ***
>>
>> §4: The relaxation of authentication requirements for DTLS-SRTP and SDES could use some elaboration on why this acceptable. I _think_ the answer is that, since OSRTP doesn’t guaranty authentication, there’s no need for such a guaranty from the signaling channel. Is that correct?
>>
>> OTOH, §1 says "third mode for security between "cleartext” and "comprehensive protection" that allows encryption and authentication to be used if supported…”. That suggests that that authentication is sometimes provided. Is there a distinction between the authenticated case and unauthenticated case that should be mentioned somewhere? (For example, is there a need to indicate the distinction to the user?)
>>
>> *** Other Substantive Comments ***
>>
>> §2: Please use the new boilerplate from RFC 8174.
>>
>> §3.1: Please clarify that that the offer can contain more than one key management attribute. This is mentioned in §3.1, but not actually in the section on generating the offer.
>>
>> *** Editorial Comments ***
>>
>> §3: "As discussed in [RFC7435], this is
>> the "comprehensive protection" for media mode.”
>> s/this/that
>>
>> §3.4: "meaning that the decision to
>> create an OSRTP type offer or something else should not be influenced”
>> That’s referring to the decision to create a _new_ offer, right? Not the original offer?
>>
>>
>>
>

---

From: Andy Hutton <[email-masked]>
Date: Mon, 25 Mar 2019 22:26:23 +0100

Sorry about the delay.

See below.

I will update the draft.

Andy

On Fri, 15 Feb 2019 at 08:46, Gonzalo Camarillo
<[email-masked]> wrote:
>
> Thanks for the quick review, Ben!
>
> Authors, please address Ben's comments below.
>
> Cheers,
>
> Gonzalo
>
> On 14-Feb-19 22:46, Ben Campbell wrote:
> > Hi,
> >

$1 should I think say "allows encryption and authenticated media" but
I cannot remember why we said the signalling authentication
requirements are relaxed this has been in the draft from day 1 and I
guess it is consistent with the best effort approach.

Anyone else want to comment?

> > §2: Please use the new boilerplate from RFC 8174.

Will do.

> > §3.1: Please clarify that that the offer can contain more than one key management attribute. This is mentioned in §3.1, but not actually in the section on generating the offer.

Will do.

> > the "comprehensive protection" for media mode.”

Thanks

> > That’s referring to the decision to create a _new_ offer, right? Not the original offer?

Correct.

> >
> >
> >
> > _______________________________________________
> > Sipbrandy mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/sipbrandy
> >
> _______________________________________________
> Sipbrandy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipbrandy

---

From: Andy Hutton <[email-masked]>
Date: Tue, 26 Mar 2019 11:58:35 +0100

I submitted an update in response to Ben's comments -
https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-08

With regard to Ben's comment on the relaxing of the authentication
requirement then this is consistent with the Opportunistic Security
RFC 7435 and I added a reference to this as clarification.

Hopefully we can get this to RFC status now.

Regards
Andy

---

From: Ben Campbell <[email-masked]>
Date: Tue, 26 Mar 2019 17:10:00 +0100

(+Alexey, who will take over SIPBRANDY when I step down as AD)

Hi,

Thanks for the response. This does not quite address my main substantive comment. It does address everything else :-)

Please see comment in line.

Thanks!

Ben.

> On Mar 26, 2019, at 11:58 AM, Andy Hutton <[email-masked]> wrote:
> 

If I recall correctly, RFC 7435 does not discuss scenarios with separate signaling and media channels, and how OS applies to each channel. I was looking more for something about the impacts of this “relaxation” specific to these sorts of scenarios with dtls-srtp and sdes, and resulting assurances.

For example, dtls-srtp with no authentication does not give you assurances about who you are talking to, but it still allows encryption. SDES without encryption lets an eavesdropper potentially learn the encryption keys, etc. SDES with transport level protection  (e.g. SIPS) protects from off-path eavesdroppers, but allows proxies and b2bua’s in the signaling path to learn the encryption keys.